## r-bioc-keggrest 1.20.1+dfsg

=== DESCRIPTION ===
Package: KEGGREST
Version: 1.20.1
Title: Client-side REST access to KEGG
Author: Dan Tenenbaum
Imports: methods, httr, png, Biostrings
Suggests: RUnit, BiocGenerics, knitr
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Description: A package that provides a client interface to the KEGG
        REST server. Based on KEGGSOAP by J. Zhang, R. Gentleman, and
        Marc Carlson, and KEGG (python package) by Aurelien Mazurie.
License: Artistic-2.0
VignetteBuilder: knitr
biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
git_url: https://git.bioconductor.org/packages/KEGGREST
git_branch: RELEASE_3_7
git_last_commit: 9053fdc
git_last_commit_date: 2018-06-26
Date/Publication: 2018-06-27
NeedsCompilation: no
Packaged: 2018-06-27 23:44:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-keggrest (1.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jul 2018 10:04:11 +0200

r-bioc-keggrest (1.20.0+dfsg-1) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Drop shlibs:Depends
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jun 2018 21:26:48 +0200

r-bioc-keggrest (1.20.0-1) unstable; urgency=medium

  * Initial release (closes: #899053)

 -- Andreas Tille <tille@debian.org>  Fri, 18 May 2018 20:09:04 +0200

=== debian/control ===
Source: r-bioc-keggrest
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-png,
               r-bioc-biostrings
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
Homepage: https://bioconductor.org/packages/KEGGREST/

Package: r-bioc-keggrest
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R client-side REST access to KEGG
 A package that provides a client interface to the KEGG
 REST server. Based on KEGGSOAP by J. Zhang, R. Gentleman, and
 Marc Carlson, and KEGG (Python package) by Aurelien Mazurie.

## r-bioc-keggrest 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.20.1
+Version: 1.22.0
 Title: Client-side REST access to KEGG
 Author: Dan Tenenbaum
 Imports: methods, httr, png, Biostrings
@@ -13,9 +13,9 @@
 VignetteBuilder: knitr
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_7
-git_last_commit: 9053fdc
-git_last_commit_date: 2018-06-26
-Date/Publication: 2018-06-27
+git_branch: RELEASE_3_8
+git_last_commit: 4374507
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: no
-Packaged: 2018-06-27 23:44:27 UTC; biocbuild
+Packaged: 2018-10-30 23:47:32 UTC; biocbuild

=== debian/changelog ===
r-bioc-keggrest (1.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Nov 2018 07:41:54 +0100

r-bioc-keggrest (1.20.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Mon, 24 Sep 2018 14:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-httr,
                r-cran-png,
                r-bioc-biostrings
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/KEGGREST.html .*/KEGGREST_(.*).tar.gz

## r-bioc-keggrest 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.22.0
+Version: 1.24.0
 Title: Client-side REST access to KEGG
 Author: Dan Tenenbaum
 Imports: methods, httr, png, Biostrings
@@ -13,9 +13,9 @@
 VignetteBuilder: knitr
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_8
-git_last_commit: 4374507
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 236d812
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: no
-Packaged: 2018-10-30 23:47:32 UTC; biocbuild
+Packaged: 2019-05-03 00:38:48 UTC; biocbuild

=== debian/changelog ===
r-bioc-keggrest (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 14:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-httr,
                r-cran-png,
                r-bioc-biostrings
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/

## r-bioc-keggrest 1.26.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.24.0
+Version: 1.26.1
 Title: Client-side REST access to KEGG
 Author: Dan Tenenbaum
 Imports: methods, httr, png, Biostrings
@@ -13,9 +13,9 @@
 VignetteBuilder: knitr
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_9
-git_last_commit: 236d812
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: 56d6223
+git_last_commit_date: 2019-11-06
+Date/Publication: 2019-11-06
 NeedsCompilation: no
-Packaged: 2019-05-03 00:38:48 UTC; biocbuild
+Packaged: 2019-11-07 01:36:00 UTC; biocbuild

=== debian/changelog ===
r-bioc-keggrest (1.26.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Nov 2019 22:47:52 +0100

r-bioc-keggrest (1.24.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 10:46:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-httr,
                r-cran-png,
                r-bioc-biostrings
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/

## r-bioc-keggrest 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.26.1
+Version: 1.28.0
 Title: Client-side REST access to KEGG
 Author: Dan Tenenbaum
 Imports: methods, httr, png, Biostrings
@@ -13,9 +13,9 @@
 VignetteBuilder: knitr
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_10
-git_last_commit: 56d6223
-git_last_commit_date: 2019-11-06
-Date/Publication: 2019-11-06
+git_branch: RELEASE_3_11
+git_last_commit: 9dff940
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: no
-Packaged: 2019-11-07 01:36:00 UTC; biocbuild
+Packaged: 2020-04-28 00:49:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-keggrest (1.28.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 31 May 2020 05:49:34 +0000

r-bioc-keggrest (1.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 18 May 2020 11:51:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
                r-cran-httr,
                r-cran-png,
                r-bioc-biostrings
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/
+Rules-Requires-Root: no
 
 Package: r-bioc-keggrest
 Architecture: all

## r-bioc-keggrest 1.30.1+dfsg

=== DESCRIPTION ===
Package: KEGGREST
Version: 1.30.1
Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
        Genomes (KEGG)
Authors@R: c(
    person("Dan", "Tenenbaum", role = "aut"),
    person("Jeremy", "Volkening", role = "ctb"),
    person(
        "Bioconductor Package", "Maintainer",
        email = "maintainer@bioconductor.org", role = c("aut", "cre"))
    )
Depends: R (>= 3.5.0)
Imports: methods, httr, png, Biostrings
Suggests: RUnit, BiocGenerics, knitr
Description: 
    A package that provides a client interface to the Kyoto
    Encyclopedia of Genes and Genomes (KEGG) REST server. Based on
    KEGGSOAP by J. Zhang, R. Gentleman, and Marc Carlson, and KEGG
    (python package) by Aurelien Mazurie.
License: Artistic-2.0
VignetteBuilder: knitr
biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
git_url: https://git.bioconductor.org/packages/KEGGREST
git_branch: RELEASE_3_12
git_last_commit: fd9970e
git_last_commit_date: 2020-11-23
Date/Publication: 2020-11-23
NeedsCompilation: no
Packaged: 2020-11-24 01:30:08 UTC; biocbuild
Author: Dan Tenenbaum [aut],
  Jeremy Volkening [ctb],
  Bioconductor Package Maintainer [aut, cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-keggrest (1.30.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Nov 2020 11:35:26 +0100

r-bioc-keggrest (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:38:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-httr,
                r-cran-png,
                r-bioc-biostrings
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/

## r-bioc-keggrest 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.30.1
+Version: 1.34.0
 Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
         Genomes (KEGG)
 Authors@R: c(
@@ -11,7 +11,7 @@
     )
 Depends: R (>= 3.5.0)
 Imports: methods, httr, png, Biostrings
-Suggests: RUnit, BiocGenerics, knitr
+Suggests: RUnit, BiocGenerics, knitr, markdown
 Description: 
     A package that provides a client interface to the Kyoto
     Encyclopedia of Genes and Genomes (KEGG) REST server. Based on
@@ -20,13 +20,14 @@
 License: Artistic-2.0
 VignetteBuilder: knitr
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_12
-git_last_commit: fd9970e
-git_last_commit_date: 2020-11-23
-Date/Publication: 2020-11-23
+git_branch: RELEASE_3_14
+git_last_commit: 2056750
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-11-24 01:30:08 UTC; biocbuild
+Packaged: 2021-10-26 21:45:20 UTC; biocbuild
 Author: Dan Tenenbaum [aut],
   Jeremy Volkening [ctb],
   Bioconductor Package Maintainer [aut, cre]

=== debian/changelog ===
r-bioc-keggrest (1.34.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 11:14:52 +0100

r-bioc-keggrest (1.32.0+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Created d/u/metadata

  [ Andreas Tille ]
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 06:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-httr,
                r-cran-png,
                r-bioc-biostrings
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/

## r-bioc-keggrest 1.36.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.34.0
+Version: 1.36.3
 Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
         Genomes (KEGG)
 Authors@R: c(
@@ -22,12 +22,12 @@
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_14
-git_last_commit: 2056750
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 1827cde
+git_last_commit_date: 2022-07-08
+Date/Publication: 2022-07-12
 NeedsCompilation: no
-Packaged: 2021-10-26 21:45:20 UTC; biocbuild
+Packaged: 2022-07-12 20:49:17 UTC; biocbuild
 Author: Dan Tenenbaum [aut],
   Jeremy Volkening [ctb],
   Bioconductor Package Maintainer [aut, cre]

=== debian/changelog ===
r-bioc-keggrest (1.36.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jul 2022 22:09:09 +0200

r-bioc-keggrest (1.36.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 13:44:28 +0200

r-bioc-keggrest (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 10:40:16 +0200

## r-bioc-keggrest 1.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.36.3
+Version: 1.38.0
 Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
         Genomes (KEGG)
 Authors@R: c(
@@ -22,12 +22,12 @@
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_15
-git_last_commit: 1827cde
-git_last_commit_date: 2022-07-08
-Date/Publication: 2022-07-12
+git_branch: RELEASE_3_16
+git_last_commit: 4dfbff9
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-07-12 20:49:17 UTC; biocbuild
+Packaged: 2022-11-01 21:52:52 UTC; biocbuild
 Author: Dan Tenenbaum [aut],
   Jeremy Volkening [ctb],
   Bioconductor Package Maintainer [aut, cre]

=== debian/changelog ===
r-bioc-keggrest (1.38.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:06:39 +0100

=== debian/control ===
Source: r-bioc-keggrest
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
Homepage: https://bioconductor.org/packages/KEGGREST/
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-httr,
               r-cran-png,
               r-bioc-biostrings
Testsuite: autopkgtest-pkg-r

Package: r-bioc-keggrest
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R client-side REST access to KEGG
 A package that provides a client interface to the KEGG
 REST server. Based on KEGGSOAP by J. Zhang, R. Gentleman, and
 Marc Carlson, and KEGG (Python package) by Aurelien Mazurie.

## r-bioc-keggrest 1.40.0+dfsg

=== debian/changelog ===
r-bioc-keggrest (1.40.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Apply patch from GitHub

 -- Charles Plessy <plessy@debian.org>  Sun, 24 Sep 2023 23:38:16 +0000

r-bioc-keggrest (1.40.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * "a new source-only upload is needed to allow migration", says excuses.php

 -- Charles Plessy <plessy@debian.org>  Sun, 10 Sep 2023 23:48:21 +0000

r-bioc-keggrest (1.40.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:40:29 +0200

## r-bioc-keggrest 1.42.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.R" -exec chmod -x \{\} \;

## r-bioc-keggrest 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.38.0
+Version: 1.42.0
 Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
         Genomes (KEGG)
 Authors@R: c(
@@ -22,12 +22,12 @@
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_16
-git_last_commit: 4dfbff9
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_18
+git_last_commit: 2676f9d
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2022-11-01 21:52:52 UTC; biocbuild
+Packaged: 2023-10-24 21:42:44 UTC; biocbuild
 Author: Dan Tenenbaum [aut],
   Jeremy Volkening [ctb],
   Bioconductor Package Maintainer [aut, cre]

=== debian/changelog ===
r-bioc-keggrest (1.42.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 11:22:28 +0100

r-bioc-keggrest (1.40.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 11:11:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-keggrest 1.44.1+dfsg

=== DESCRIPTION ===
Package: KEGGREST
Version: 1.44.1
Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
        Genomes (KEGG)
Authors@R: c(
    person("Dan", "Tenenbaum", role = "aut"),
    person("Bioconductor Package", "Maintainer", role = c("aut", "cre"),
           email = "maintainer@bioconductor.org"),
    person("Martin", "Morgan", role = "ctb"),
    person("Kozo", "Nishida", role = "ctb"),
    person("Marcel", "Ramos", role = "ctb"),
    person("Kristina", "Riemer", role = "ctb"),
    person("Lori", "Shepherd", role = "ctb"),
    person("Jeremy", "Volkening", role = "ctb")
    )
Depends: R (>= 3.5.0)
Imports: methods, httr, png, Biostrings
Suggests: RUnit, BiocGenerics, knitr, markdown
Description: 
    A package that provides a client interface to the Kyoto
    Encyclopedia of Genes and Genomes (KEGG) REST API. Only
    for academic use by academic users belonging to academic
    institutions (see <https://www.kegg.jp/kegg/rest/>).
    Note that KEGGREST is based on KEGGSOAP by J. Zhang, R. Gentleman,
    and Marc Carlson, and KEGG (python package) by Aurelien Mazurie.
URL: https://bioconductor.org/packages/KEGGREST
BugReports: https://github.com/Bioconductor/KEGGREST/issues
License: Artistic-2.0
VignetteBuilder: knitr
biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/KEGGREST
git_branch: RELEASE_3_19
git_last_commit: eb52061
git_last_commit_date: 2024-06-17
Repository: Bioconductor 3.19
Date/Publication: 2024-06-19
NeedsCompilation: no
Packaged: 2024-06-19 22:02:15 UTC; biocbuild
Author: Dan Tenenbaum [aut],
  Bioconductor Package Maintainer [aut, cre],
  Martin Morgan [ctb],
  Kozo Nishida [ctb],
  Marcel Ramos [ctb],
  Kristina Riemer [ctb],
  Lori Shepherd [ctb],
  Jeremy Volkening [ctb]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-keggrest (1.44.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/control: add r-bioc-biocgenerics with minimum version
    corresponding to the r-api-bioc-3.19 virtual package dependency
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 12:12:36 +0200

r-bioc-keggrest (1.44.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 11:52:11 +0200

r-bioc-keggrest (1.44.1+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository-Browse.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
                r-base-dev,
                r-cran-httr,
                r-cran-png,
-               r-bioc-biostrings
+               r-bioc-biostrings (>= 2.72.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-keggrest
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biocgenerics (>= 0.50.0)
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R client-side REST access to KEGG

## r-bioc-keggrest 1.46.0%2Bdfsg

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/KEGGREST.html .*/KEGGREST_(.*).tar.gz

## r-bioc-keggrest 1.46.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: KEGGREST
-Version: 1.44.1
+Version: 1.46.0
 Title: Client-side REST access to the Kyoto Encyclopedia of Genes and
         Genomes (KEGG)
 Authors@R: c(
@@ -15,7 +15,7 @@
     )
 Depends: R (>= 3.5.0)
 Imports: methods, httr, png, Biostrings
-Suggests: RUnit, BiocGenerics, knitr, markdown
+Suggests: RUnit, BiocGenerics, BiocStyle, knitr, markdown
 Description: 
     A package that provides a client interface to the Kyoto
     Encyclopedia of Genes and Genomes (KEGG) REST API. Only
@@ -29,14 +29,15 @@
 VignetteBuilder: knitr
 biocViews: Annotation, Pathways, ThirdPartyClient, KEGG
 RoxygenNote: 7.1.1
+Date: 2024-06-17
 git_url: https://git.bioconductor.org/packages/KEGGREST
-git_branch: RELEASE_3_19
-git_last_commit: eb52061
-git_last_commit_date: 2024-06-17
-Repository: Bioconductor 3.19
-Date/Publication: 2024-06-19
+git_branch: RELEASE_3_20
+git_last_commit: b34820c
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-06-19 22:02:15 UTC; biocbuild
+Packaged: 2024-10-30 01:19:41 UTC; biocbuild
 Author: Dan Tenenbaum [aut],
   Bioconductor Package Maintainer [aut, cre],
   Martin Morgan [ctb],

=== debian/changelog ===
r-bioc-keggrest (1.46.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Don't crash on blank lines between records. (Closes: #1104334)
  * Disable the autopkgtest, as it connects to a restricted-use service.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Apr 2025 22:08:26 +0100

r-bioc-keggrest (1.46.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:15:41 +0100

r-bioc-keggrest (1.46.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:53:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,20 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-keggrest.git
 Homepage: https://bioconductor.org/packages/KEGGREST/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-httr,
                r-cran-png,
-               r-bioc-biostrings (>= 2.72.1)
+               r-bioc-biostrings
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-keggrest
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-biocgenerics (>= 0.50.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R client-side REST access to KEGG
